Bug 1801660 - Some schema data is missing on explore page
Summary: Some schema data is missing on explore page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.3.z
Assignee: Jakub Hadvig
QA Contact: XiaochuanWang
URL:
Whiteboard:
Depends On: 1789602
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-11 13:06 UTC by Samuel Padgett
Modified: 2020-03-10 23:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1789602
Environment:
Version: 4.4.0-0.ci-2020-01-08-115313 Cluster ID: 20c547b3-48fd-4c0a-b9a1-e71ebf55c4f1 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:72.0) Gecko/20100101 Firefox/72.0
Last Closed: 2020-03-10 23:53:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4281 None closed [release-4.3] Bug 1801660: Property array should render its properties on schema page 2020-03-16 15:10:05 UTC
Red Hat Product Errata RHBA-2020:0676 None None None 2020-03-10 23:54:00 UTC

Description Samuel Padgett 2020-02-11 13:06:41 UTC
+++ This bug was initially created as a clone of Bug #1789602 +++

`oc explain` should the right detail for `consoleclidownload.spec.links`, but the fields and descriptions are missing from the console explore page. (See scerenshot.)

$ oc explain consoleclidownload.spec.links
KIND:     ConsoleCLIDownload
VERSION:  console.openshift.io/v1

RESOURCE: links <[]Object>

DESCRIPTION:
     links is a list of objects that provide CLI download link details.

FIELDS:
   href <string> -required-
     href is the absolute secure URL for the link (must use https)

   text <string>
     text is the display text for the link

Comment 1 bpeterse 2020-02-12 04:52:03 UTC
PR opened & waiting for the 4.4 bug to be verified
https://github.com/openshift/console/pull/4281

Comment 4 XiaochuanWang 2020-02-28 06:17:14 UTC
Schema page display correctly as consoleclidownload.spec.links
Verified on 4.3.0-0.nightly-2020-02-27-225047

Comment 6 errata-xmlrpc 2020-03-10 23:53:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0676


Note You need to log in before you can comment on or make changes to this bug.